Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

C#
Visual Basic
Visual C++

Berkeley DB .NET API Documentation
Cursor..::.Move Method (KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>), Boolean)
Cursor Class See Also Send Feedback

Move the cursor to the specified key/data pair of the database. The cursor is positioned to a key/data pair if both the key and data match the values provided on the key and data parameters.

Namespace: BerkeleyDB
Assembly: libdb_dotnet181 (in libdb_dotnet181.dll) Version: 18.1.32.0

# Syntax

C#
    public bool Move(
    	KeyValuePair<DatabaseEntry, DatabaseEntry> pair,
    	bool exact
    )

Visual Basic (Declaration)
    Public Function Move ( _
    	pair As KeyValuePair(Of DatabaseEntry, DatabaseEntry), _
    	exact As Boolean _
    ) As Boolean

Visual C++
    public:
    bool Move(
    	KeyValuePair<DatabaseEntry^, DatabaseEntry^> pair,
    	bool exact
    )

#### Parameters

pair
  Type: System.Collections.Generic..::.KeyValuePair<(Of <(DatabaseEntry, DatabaseEntry>)>)
  The key/data pair at which to position the cursor.

exact
  Type: System..::.Boolean
  If true, require the given key and data to match the key and data in the database exactly. If false, position the cursor at the smallest data value which is greater than or equal to the value provided by pair.Value (as determined by the comparison function).

#### Return Value

True if the cursor was positioned successfully, false otherwise.

# Remarks

If positioning the cursor fails, Current contains an empty KeyValuePair<(Of <(TKey, TValue>)>).

If this flag is specified on a database configured without sorted duplicate support, the value of exact is ignored.

# See Also

Cursor Class
Move Overload
BerkeleyDB Namespace